summaryrefslogtreecommitdiffstats
path: root/audio/pulseaudio
diff options
context:
space:
mode:
author crocket <crockabiscuit@gmail.com>2011-07-19 02:17:51 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-07-21 22:52:46 -0500
commitdf3d230047a608ca757c3cf2b07e5239fd22cbae (patch)
tree83679349d9fd4cd6dccd518f0c51fcae6ae12ff7 /audio/pulseaudio
parent847dc4d53874fefa4e0861a11d1ec0c9a9d7244f (diff)
downloadslackbuilds-df3d230047a608ca757c3cf2b07e5239fd22cbae.tar.gz
slackbuilds-df3d230047a608ca757c3cf2b07e5239fd22cbae.tar.xz
audio/pulseaudio: Added (Pulse Audio Sound Server)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'audio/pulseaudio')
-rw-r--r--audio/pulseaudio/README12
-rw-r--r--audio/pulseaudio/doinst.sh16
-rw-r--r--audio/pulseaudio/pulseaudio-0.9.23.diff21
-rw-r--r--audio/pulseaudio/pulseaudio.SlackBuild102
-rw-r--r--audio/pulseaudio/pulseaudio.info10
-rw-r--r--audio/pulseaudio/slack-desc19
6 files changed, 180 insertions, 0 deletions
diff --git a/audio/pulseaudio/README b/audio/pulseaudio/README
new file mode 100644
index 0000000000..a5471047a6
--- /dev/null
+++ b/audio/pulseaudio/README
@@ -0,0 +1,12 @@
+pulseaudio is a networked sound server for Unix-like operating systems
+and Microsoft Windows. It is intended to be an improved drop-in replacement
+for the Enlightened Sound Daemon (ESOUND).
+
+Pulseaudio will need a pulse group/user to run. You can add one with
+ # groupadd -g 216 pulse
+ # useradd -u 216 -g pulse -d /var/lib/pulse pulse
+or something similar. See http://slackbuilds.org/uid_gid.txt for details
+on the gid and uid assignments.
+
+Requires: speex
+Optional: jack-audio-connection-kit, avahi, lirc, libasyncns, GConf
diff --git a/audio/pulseaudio/doinst.sh b/audio/pulseaudio/doinst.sh
new file mode 100644
index 0000000000..8fa296faf5
--- /dev/null
+++ b/audio/pulseaudio/doinst.sh
@@ -0,0 +1,16 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/pulse/client.conf.new
+config etc/pulse/default.pa.new
+config etc/pulse/daemon.conf.new
diff --git a/audio/pulseaudio/pulseaudio-0.9.23.diff b/audio/pulseaudio/pulseaudio-0.9.23.diff
new file mode 100644
index 0000000000..f2603d1a53
--- /dev/null
+++ b/audio/pulseaudio/pulseaudio-0.9.23.diff
@@ -0,0 +1,21 @@
+diff -Naur pulseaudio-0.9.23-a/configure pulseaudio-0.9.23-b/configure
+--- pulseaudio-0.9.23-a/configure 2011-06-24 05:56:32.036894840 +0900
++++ pulseaudio-0.9.23-b/configure 2011-07-19 03:08:08.234282954 +0900
+@@ -20360,7 +20360,7 @@
+
+ LIBWRAP_LIBS=
+ saved_LIBS="$LIBS"
+-LIBS="$LIBS -lwrap"
++LIBS="$LIBS -lnsl -lwrap"
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking for tcpwrap library and headers" >&5
+ $as_echo_n "checking for tcpwrap library and headers... " >&6; }
+ cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+@@ -20382,7 +20382,7 @@
+
+ $as_echo "#define HAVE_LIBWRAP /**/" >>confdefs.h
+
+-LIBWRAP_LIBS="-lwrap"
++LIBWRAP_LIBS="-lnsl -lwrap"
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+ $as_echo "yes" >&6; }
+ else
diff --git a/audio/pulseaudio/pulseaudio.SlackBuild b/audio/pulseaudio/pulseaudio.SlackBuild
new file mode 100644
index 0000000000..127e3f6d89
--- /dev/null
+++ b/audio/pulseaudio/pulseaudio.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for pulseaudio
+
+# Written by crocket (crockabiscuit@gmail.com)
+
+PRGNAM=pulseaudio
+VERSION=0.9.23
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if ! grep -q ^pulse: /etc/group ; then
+ echo " Must have a pulse group to run this script."
+ echo " # groupadd -g 216 pulse"
+ exit 1
+elif ! grep -q ^pulse: /etc/passwd ; then
+ echo " Must have a pulse user to run this script."
+ echo " # useradd -g pulse -u 216 -d /var/lib/pulse pulse"
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/pulseaudio-$VERSION.diff
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-tcpwrap \
+ --disable-static \
+ --disable-hal \
+ --disable-solaris \
+ --with-system-user=pulse \
+ --with-system-group=pulse \
+ --with-access-group=audio \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mv $PKG/etc/pulse/client.conf $PKG/etc/pulse/client.conf.new
+mv $PKG/etc/pulse/default.pa $PKG/etc/pulse/default.pa.new
+mv $PKG/etc/pulse/daemon.conf $PKG/etc/pulse/daemon.conf.new
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS *GPL LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/pulseaudio/pulseaudio.info b/audio/pulseaudio/pulseaudio.info
new file mode 100644
index 0000000000..d398235a98
--- /dev/null
+++ b/audio/pulseaudio/pulseaudio.info
@@ -0,0 +1,10 @@
+PRGNAM="pulseaudio"
+VERSION="0.9.23"
+HOMEPAGE="http://www.pulseaudio.org"
+DOWNLOAD="http://freedesktop.org/software/pulseaudio/releases/pulseaudio-0.9.23.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="7391205a337d1e04a9ff38025f684034"
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/audio/pulseaudio/slack-desc b/audio/pulseaudio/slack-desc
new file mode 100644
index 0000000000..fe95a122ae
--- /dev/null
+++ b/audio/pulseaudio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+pulseaudio: pulseaudio (Pulse Audio Sound Server)
+pulseaudio:
+pulseaudio: pulseaudio is a networked sound server for Linux and other
+pulseaudio: Unix like operating systems and Microsoft Windows. It is
+pulseaudio: intended to be an improved drop-in replacement for the
+pulseaudio: Enlightened Sound Daemon (ESOUND).
+pulseaudio:
+pulseaudio: Website : http://www.pulseaudio.org
+pulseaudio:
+pulseaudio:
+pulseaudio: